OutOfDate.MyMapper (Ant Contrib)
Keywords: net.sf.antcontrib.logic.OutOfDate.MyMapper,OutOfDate.MyMapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic
Class OutOfDate.MyMapper

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.Mapper
                        |
                        +--net.sf.antcontrib.logic.OutOfDate.MyMapper

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  OutOfDate

public static class OutOfDate.MyMapper
extends org.apache.tools.ant.types.Mapper

Wrapper for mapper - includes dir

Field Summary

Fields inherited from class org.apache.tools.ant.types.Mapper
`classname, classpath, from, to, type`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`OutOfDate.MyMapper(org.apache.tools.ant.Project project)` Creates a new `MyMapper` instance.

Method Summary
`java.io.File` | `getDir()`
`void` | `setDir(java.io.File dir)`

Methods inherited from class org.apache.tools.ant.types.Mapper
`createClasspath, getImplementation, getRef, setClassname, setClasspath, setClasspathRef, setFrom, setRefid, setTo, setType`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutOfDate.MyMapper

    public OutOfDate.MyMapper(org.apache.tools.ant.Project project)

  Creates a new `MyMapper` instance.

Parameters:
  `project` - the current project

Method Detail

### setDir

    public void setDir(java.io.File dir)

  Parameters:
    `dir` - the directory that the from files are relative to

### getDir

    public java.io.File getDir()

  Returns:
    the directory that the from files are relative to

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD